<?php

namespace common\logic\Config\TaxRate\Wrapper;

use common\logic\AbstractContainer;
use common\logic\Config\TaxRate\Model\TaxRate;
use common\logic\Config\TaxRate\Repository\TaxRateRepository;
use common\logic\Config\TaxRate\Service\TaxRateBuilder;

class TaxRateContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return TaxRate::class;
    }

    public function getServices(): array
    {
        return [
            TaxRateBuilder::class,
            TaxRateRepository::class,
        ];
    }

    public function getBuilder(): TaxRateBuilder
    {
        return TaxRateBuilder::getInstance();
    }

    public function getRepository(): TaxRateRepository
    {
        return TaxRateRepository::getInstance();
    }
}